> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

> **Required plan:** All users.

Once an Access Token expires, you can refresh it using the refresh_token obtained during the initial token request.



## OpenAPI

````yaml /en/api/openapi.json post /token/refresh
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /token/refresh:
    post:
      tags:
        - Access Token
      summary: Refresh Token
      description: >-
        **Required plan:** All users.


        Once an Access Token expires, you can refresh it using the refresh_token
        obtained during the initial token request.
      operationId: refreshToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - refresh_token
                - grant_type
              properties:
                refresh_token:
                  type: string
                  description: The refresh token from the original token response
                grant_type:
                  type: string
                  description: Must be `refresh_token`
                  example: refresh_token
      responses:
        '200':
          description: Token refreshed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      access_token:
                        type: string
                      expires_in:
                        type: integer
                      token_type:
                        type: string
                      refresh_token:
                        type: string
                  requestId:
                    type: string

````